# Class ColumnSelectionMapper

java.lang.Object
uk.ac.starlink.ttools.task.ColumnSelectionMapper

All Implemented Interfaces:
  `TableMapper`

public class ColumnSelectionMapper extends Object implements TableMapper
Mapper which operates on a user-supplied selection of the columns of the input table.

Since:
  9 May 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ColumnSelectionMapper()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TableMapping`
`createMapping(uk.ac.starlink.task.Environment env, int nin)`
Creates a new mapping object, using a given execution environment for any additional required state.
`WordsParameter<String>`
`getColumnsParameter()`
Returns the parameter which specifies the column IDs for use.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters defined by this mapper.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnSelectionMapper

public ColumnSelectionMapper()
Constructor.

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `TableMapper`
Returns the parameters defined by this mapper.

Specified by:
  `getParameters` in interface `TableMapper`
Returns:
  parameter array

### createMapping

public TableMapping createMapping(uk.ac.starlink.task.Environment env, int nin) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableMapper`
Creates a new mapping object, using a given execution environment for any additional required state.

Specified by:
  `createMapping` in interface `TableMapper`
Parameters:
  `env` - execution environment
  `nin` - number of input tables that the mapping will operate on if known; -1 if not
Throws:
  `uk.ac.starlink.task.TaskException`

### getColumnsParameter

public WordsParameter<String> getColumnsParameter()
Returns the parameter which specifies the column IDs for use.

Returns:
  column list parameter